Skip to main content
POST
Assign or unassign a chat session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string
required

The unique identifier of the chat session

Body

application/json
assignee_id
integer | null

Agent user ID to assign, or null to unassign the session

Required range: -9007199254740991 <= x <= 9007199254740991
assignee_email
string<email> | null

Email of the agent to assign, matched case-insensitively against this organization’s members, or null to unassign the session

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$

Response

Default Response

no_change
boolean
required
session
object
required